﻿@import '../../../scss/variables';

.CustomSelect {
  width: $language-select-width;
  height: $language-select-height;
  border: $language-select-border;
  border-radius: $language-select-radius;
  color: $language-select-color;

  :global .MuiFormControl-root,
  :global .MuiInput-formControl {
    height: 100%;
    width: 100%;
  }

  :global .MuiSelect-select.MuiSelect-select {
    padding-right: 0;
  }

  span {
    color: $language-select-option-color;
    margin-left: $language-select-option-left;
    font-size: $language-select-option-size;
  }

  svg:not(:global .MuiSelect-icon) {
    margin-left: $language-select-icon-margin-left;
    margin-top: $language-select-icon-margin-top;
    width: $language-select-icon-width;
    height: $language-select-icon-height;
  }

  svg {
    color: $white;
  }

  :global .MuiSelect-icon {
    width: $language-select-arrow-width !important;
    height: $language-select-arrow-height !important;
    top: 0.6rem;
  }

  #outlined-basic:before {
    border-bottom: none !important;
  }

  .MuiInput-underline:hover:not(.Mui-disabled):before {
    border-bottom: none !important;
  }

  .MuiInput-underline:before {
    border-bottom: none !important;
  }
}

.SelectText {
  margin-left: $language-select-option-text-left;
  font-size: $language-select-option-text-size;
}
